## org.apache.poi.ss.formula.eval
Class NameEval

    java.lang.Object
      org.apache.poi.ss.formula.eval.NameEval

All Implemented Interfaces:
  ValueEval

    public final class NameEval

extends java.lang.Object
implements ValueEval

Author:
  Josh Micich

Constructor Summary
`NameEval(java.lang.String functionName)` Creates a NameEval representing a function name

Method Summary
`java.lang.String` `getFunctionName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameEval

    public NameEval(java.lang.String functionName)

  Creates a NameEval representing a function name

Method Detail

### getFunctionName

    public java.lang.String getFunctionName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.